Test Browser Auth
POST /v1/browser/auth/test
Test authentication with browser API
Authentication
Requires authentication via: OAuth2PasswordBearer.
Parameters
| Name | In | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
X-API-Key | header | string | null | No | nullable |
Request Body
Required: Yes
application/json
Resolved schema:
{
"properties": {
"api_key": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Api Key"
},
"test_message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Test Message",
"default": "test"
}
},
"type": "object",
"title": "BrowserAuthTestRequest",
"description": "Request schema for testing browser API authentication"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
api_key | string | null | No | nullable | |
test_message | string | null | No | nullable |
Responses
200
Successful Response
application/json
Resolved schema:
{
"properties": {
"message": {
"type": "string",
"title": "Message"
},
"status": {
"type": "string",
"title": "Status"
},
"usage_info": {
"properties": {
"total_requests": {
"type": "integer",
"title": "Total Requests"
},
"remaining_quota": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Remaining Quota"
},
"quota_limit": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Quota Limit"
},
"current_month_usage": {
"type": "integer",
"title": "Current Month Usage"
},
"credits_consumed": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Credits Consumed"
},
"browser_credits_remaining": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Browser Credits Remaining"
}
},
"type": "object",
"required": [
"total_requests",
"remaining_quota",
"quota_limit",
"current_month_usage"
],
"title": "BrowserUsageResponse",
"description": "Response schema showing user's browser API usage"
}
},
"type": "object",
"required": [
"message",
"status",
"usage_info"
],
"title": "BrowserAuthTestResponse",
"description": "Response schema for auth test"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
message | string | Yes | ||
status | string | Yes | ||
usage_info | object | Yes | Response schema showing user's browser API usage | |
usage_info.total_requests | integer | Yes | ||
usage_info.remaining_quota | integer | null | Yes | nullable | |
usage_info.quota_limit | integer | null | Yes | nullable | |
usage_info.current_month_usage | integer | Yes | ||
usage_info.credits_consumed | number | null | No | nullable | |
usage_info.browser_credits_remaining | number | null | No | nullable |
400
The browser service rejected the request as invalid.
No response body.
401
No credentials, or the Bearer token / X-API-Key is invalid.
No response body.
403
The account is disabled, or a guest token was used.
No response body.
404
The browser service reported the target as not found.
No response body.
409
The browser service refused the request because of a conflicting state.
No response body.
422
Validation Error
application/json
Resolved schema:
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
detail | array<object> | No | ||
detail[] | object | No | ||
detail[].loc | array<string | integer> | No | ||
detail[].loc[] | string | integer | No | ||
detail[].msg | string | No | ||
detail[].type | string | No |
429
Your monthly browser API quota is used up; or the browser service is rate limiting you. Retry later.
No response body.
502
The browser service failed or returned an unexpected error.
No response body.
503
The browser service is temporarily unavailable. Retry after the Retry-After header.
No response body.